<?php
	if (!isset($_SESSION['nazwa'])) {
		header('Location: login.php');
		exit();
	}
	if ($_SESSION['status']<2) {
?>
<script type="text/javascript">
<?php
	echo "var s = 'http://".$_SERVER['HTTP_HOST']."/index.php?m=0';";
?>
	window.location.href = s;
</script>
<?php
		exit();
	}


	$s_nazwa = $_SESSION['stopka'][$_SESSION['stopka_u']][1];
	$s_tekst = $_SESSION['stopka'][$_SESSION['stopka_u']][2];
	$lws = count($_SESSION['stopka']);
	if (isset($_POST['stopka_wyslij'])) {
		require_once "wiras_php/wa_baza/wa_polacz.php";
		if (isset($_POST['stopka_wyswietl'])) {
			$wyswietl = 1;
		} else $wyswietl = 0;
		$id = $_SESSION['id'];
		$nazwa = $_SESSION['nazwa'];
		$tekst=$_POST['stopka_tekst'];
		$su = $_SESSION['stopka'][$_SESSION['stopka_u']][0];
		$zap = "UPDATE stopka SET id_user=$id, nazwa='$nazwa', tekst = '$tekst', wyswietl=$wyswietl, data_stopki=NOW()
				WHERE id_user = $id";
		$wykonaj = mysqli_query($db, $zap);
		//Odczyt tresci stopki
		$zap = "SELECT id_user, nazwa, tekst, wyswietl, data_stopki FROM stopka";
		$pobierz = mysqli_query($db, $zap);	
		$lws = $pobierz->num_rows;					
		$wynik = array();
			while ($wiersz = mysqli_fetch_row($pobierz)) 
			{
				$wynik[] = $wiersz;
			}
		for ($i=0; $i<$lws; $i++) {
			$_SESSION['stopka'][$i][0]=$wynik[$i][0];
			$_SESSION['stopka'][$i][1]=$wynik[$i][1];
			$_SESSION['stopka'][$i][2]=$wynik[$i][2];
			$_SESSION['stopka'][$i][3]=$wynik[$i][3];
			$_SESSION['stopka'][$i][4]=$wynik[$i][4];
		}
		$s_nazwa = $_SESSION['stopka'][$_SESSION['stopka_u']][1];
		$s_tekst = $_SESSION['stopka'][$_SESSION['stopka_u']][2];
	}
?>
	<div id="stopka_tlo">
	Ustawienie tekstu dla stopki
		<form action="?m=12" method="post" name="form_stopka">
			<input type="text" id="stopka_itext" maxlength="80" value = "<?php echo $s_tekst ?> " name="stopka_tekst"><br />
			<div id="stopka_check_tekst">
				<input type="checkbox" id="stopka_check" name="stopka_wyswietl" value="tn" />
				Czy wyświetlić tekst w stopce? Tak/Nie
			</div>
			<input type="submit" id="chat_wyslij" value="Wyślij" name="stopka_wyslij">
		</form>
		<div id="stopka_teksty">
<?php
		$spacja='&nbsp;&nbsp;&nbsp;';
		for ($i=0; $i<$lws; $i++) {
			if ($_SESSION['stopka'][$i][3]==0) {
				$widok='Nie';
			} else $widok='Tak';
			echo $_SESSION['stopka'][$i][1].': '.$spacja.$_SESSION['stopka'][$i][2].'<br>Widoczny: '.$widok.$spacja.' - '.$spacja.'Data: '.$_SESSION['stopka'][$i][4].'<br /><br />';
		}
?>
		</div>
	</div>
